import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:scrollable_positioned_list/scrollable_positioned_list.dart';
import 'package:sendtrain/daos/action_sets_dao.dart';
import 'package:sendtrain/database/database.dart';

class SessionViewActions extends StatelessWidget {
  SessionViewActions({super.key, required this.session});

  final Session session;

  // final List actions;
  final ItemScrollController itemScrollController = ItemScrollController();
  final ScrollOffsetController scrollOffsetController =
      ScrollOffsetController();
  final ItemPositionsListener itemPositionsListener =
      ItemPositionsListener.create();
  final ScrollOffsetListener scrollOffsetListener =
      ScrollOffsetListener.create();

  @override
  Widget build(BuildContext context) {
    return FutureBuilder<List>(
        future: ActionSetsDao(Provider.of<AppDatabase>(context))
            .fromSession(session),
        builder: (context, snapshot) {
          if (snapshot.hasData) {
            List<ActionSet> actionSets = snapshot.data! as List<ActionSet>;

            return Text(actionSets.first.name);
          } else {
            return Container(
                alignment: Alignment.center,
                child: SizedBox(
                  height: 50.0,
                  width: 50.0,
                  child: CircularProgressIndicator(),
                ));
          }
        });
  }
}
